<xml></xml>

Saxon API for .NET |

# XQueryEvaluator Members

XQueryEvaluator overview

#### Public Instance Properties

ContextItem | The context item for the query.

InputXmlResolver

The

    XmlResolver

to be used at run-time to resolve and dereference URIs supplied to the `doc()` function.

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
Evaluate | Evaluate the query, returning the result as an `XdmValue` (that is, a sequence of nodes and/or atomic values).
EvaluateSingle | Evaluate the query, returning the result as an `XdmItem` (that is, a single node or atomic value).
GetEnumerator | Evaluate the query, returning the result as an `IEnumerator` (that is, an enumerator over a sequence of nodes and/or atomic values).
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Run | Evaluate the query, sending the result to a specified destination.
SetExternalVariable | Set the value of an external variable declared in the query.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XQueryEvaluator Class | Saxon.Api Namespace